Name:		anaconda-addon-org_scientificlinux_contexts
Version:	0.1.0
Release:	10%{?dist}
Summary:	Anaconda addon integrating Scientific Linux Contexts

Group:		System Environment/Libraries
License:	GPLv2+
URL:		https://cdcvs.fnal.gov/redmine/projects/scientificlinux
Source0:	%{name}.tar.gz

BuildRequires:	python >= 2.6 python-setuptools

# unit tests
BuildRequires:	anaconda >= 19.31.77
BuildRequires:	pykickstart >= 1.99.43.9

# make doc
BuildRequires:	asciidoc

BuildArch:	noarch

Requires:	anaconda >= 19.31.77
Requires:	gtk3 >= 3.8.8

%description
This is an addon that integrates Scientific Linux Contexts with the Anaconda
installer and allows installation of contexts directly from all installation
method.

%prep
%setup -q -n %{name}


%build
grep %{version} org_scientificlinux_contexts/version.py
if [[ $? -ne  0 ]]; then
    echo 'Bad version mismatch'
    exit 1
fi

asciidoc -a toc ScientificLinuxContextFramework.asciidoc

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{_datadir}/anaconda/addons/
%{__cp} -r org_scientificlinux_contexts %{buildroot}/%{_datadir}/anaconda/addons/
%{__rm} -rf %{buildroot}/%{_datadir}/anaconda/addons/org_scientificlinux_contexts/tests

%clean
rm -rf %{buildroot}

%check
PYTHONPATH=.
export PYTHONPATH
python org_scientificlinux_contexts/tests/


%files
%defattr(0644,root,root,0755)
%doc ScientificLinuxContextFramework.asciidoc
%doc ScientificLinuxContextFramework.html
%{_datadir}/anaconda/addons/org_scientificlinux_contexts/


%changelog
* Tue Jan 26 2016 Pat Riehecky <riehecky@fnal.gov> 0.1.0-10
- Fix UI locking thread

* Mon Jan 25 2016 Pat Riehecky <riehecky@fnal.gov> 0.1.0-9.2
- clean warning when it no longer applies

* Wed Jan 20 2016 Pat Riehecky <riehecky@fnal.gov> 0.1.0-9.1
- Don't package the unit tests

* Wed Jan 13 2016 Pat Riehecky <riehecky@fnal.gov> 0.1.0-9
- Really is noarch now

* Wed Jan 13 2016 Pat Riehecky <riehecky@fnal.gov> 0.1.0-8
- Better GUI interaction

* Fri Jan 08 2016 Pat Riehecky <riehecky@fnal.gov> 0.1.0-7
- Unit tests now exist and are run

* Mon Jan 04 2016 Pat Riehecky <riehecky@fnal.gov> 0.1.0-6
- Fix undef translation error (even though we've no translations yet)

* Mon Jan 04 2016 Pat Riehecky <riehecky@fnal.gov> 0.1.0-5
- Fix ksrepo behavior

* Tue Dec 29 2015 Pat Riehecky <riehecky@fnal.gov> 0.1.0-4
- Fix support for file:// urls

* Tue Dec 29 2015 Pat Riehecky <riehecky@fnal.gov> 0.1.0-3
- Fix silly crash on no network

* Mon Dec 28 2015 Pat Riehecky <riehecky@fnal.gov> 0.1.0-2
- Require network for network fetching

* Fri Dec 11 2015 Pat Riehecky <riehecky@fnal.gov> 0.1.0-1
- Initial build for EL7

